This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 550100 - Review Request: python-olpcgames - Utilities for developing games on the OLPC platform
Review Request: python-olpcgames - Utilities for developing games on the OLPC...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On: 550176
Blocks: 514687
  Show dependency treegraph
 
Reported: 2009-12-23 10:13 EST by Sebastian Dziallas
Modified: 2009-12-27 15:29 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.6-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-27 15:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dziallas 2009-12-23 10:13:36 EST
Spec URL: http://sdz.fedorapeople.org/rpmbuild/python-olpcgames.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/python-olpcgames-1.6-1.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1888451
See also: https://bugzilla.redhat.com/show_bug.cgi?id=250533

[sebastian@localhost rpmbuild]$ rpmlint ./RPMS/noarch/python-olpcgames-1.6-1.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sebastian@localhost rpmbuild]$ rpmlint ./SRPMS/python-olpcgames-1.6-1.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Thomas Spura 2009-12-23 12:14:23 EST
Just a few comments for now, because I'm unsure, if reviewing this is the right procedure...

- use %global and not %define
  https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

- permissions of buildmanifest.py need to be 664, like they where.
  But this is no executable script and contains #!/usr/bin/env
  Fix this with [1] to delete the shebang and not touching the permissions.


[1] https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files



About the procedure:
It seems, the original submitter does not care anymore about this package and you want to take it.

http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

would be the best thing to do in this case and no new review.
Comment 2 Sebastian Dziallas 2009-12-23 17:15:53 EST
(In reply to comment #1)
> Just a few comments for now, because I'm unsure, if reviewing this is the right
> procedure...
> 
> - use %global and not %define
>  
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

Right, makes sense!

> - permissions of buildmanifest.py need to be 664, like they where.
>   But this is no executable script and contains #!/usr/bin/env
>   Fix this with [1] to delete the shebang and not touching the permissions.
> 
> [1]
> https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files

I thought it should be executable since it had a main() part.

Anyway, thanks for the hints! I think I'll just open another bug and try to ping the original maintainer again.
Comment 3 Sebastian Dziallas 2009-12-23 17:24:32 EST
Okay, I opened #550176 to proceed with the non-responsive maintainer policy. I'm making this a dependant, as we'll presumably need a review afterwards anyway.
Comment 4 Fabian Affolter 2009-12-23 17:36:22 EST
(In reply to comment #1)
> About the procedure:
> It seems, the original submitter does not care anymore about this package and
> you want to take it.
> 
> http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
> 
> would be the best thing to do in this case and no new review.

I suggested to open a new package review according to the following section [1].  

[1] https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_an_Orphaned_Package_Procedure

The package was never built and from my point of view a review is needed anyway.
Comment 5 Sebastian Dziallas 2009-12-23 18:53:34 EST
Okey dokey, so both Fabian and I have been added to the package now thanks to Noah's reply! I guess we still need this review since it has never been built. Once that's done, we'll presumably either need a cvs change request or a rel-eng ticket.

Anyway, I've updated the files according to Thomas' comments.

Spec URL: http://sdz.fedorapeople.org/rpmbuild/python-olpcgames.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/python-olpcgames-1.6-2.src.rpm

Would be cool to get this reviewed. Happy Holidays!
Comment 6 Fabian Affolter 2009-12-23 19:18:14 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F12/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@localhost SRPMS]$ rpmlint python-olpcgames-1.6-2.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings
     Binary RPM(s):
     [fab@localhost noarch]$ rpmlint python-olpcgames*
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: BSD
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 53146b6acf61947499061f318889b5ba
     Build source:    53146b6acf61947499061f318889b5ba
 [x] Package is not known to require ExcludeArch
 [x] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [-] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [-] Package does not contain any libtool archives (.la)
 [-] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [-] Package contains a properly installed .desktop file if it is a GUI application
 [-] Follows desktop entry spec
 [-] Valid .desktop Name
 [-] Valid .desktop GenericName
 [-] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [-] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [-] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F12/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1889292
 [x] Package functions as described
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

I see no further blocker, package APPROVED
Comment 7 Fabian Affolter 2009-12-23 19:20:01 EST
Fix:

The license file is olpcgames/COPYING

 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc
Comment 8 Sebastian Dziallas 2009-12-23 19:34:08 EST
Package Change Request
======================
Package Name: python-olpcgames
New Branches: F-11 F-12
Owners: kantrn fab sdz

According to [1], the original maintainer isn't involved with OLPC anymore. Fabian and I'll be maintaining python-olpcgames. However, since the package has never been built before, we need new branches for F11 and F12, as well as updated settings for the devel branch, which is otherwise locked.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=550176
Comment 9 Kevin Fenzi 2009-12-24 02:03:40 EST
cvs done.
Comment 10 Sebastian Dziallas 2009-12-24 06:14:28 EST
Thanks everybody for working on this!

I've imported the most recent versions into the branches, but trying to build on devel still gives me this [1]. Also, cvs-import fails on the F-11 and F-12 branches at some point, because the tag has apparently already been created in devel.

cvs tag  -c python-olpcgames-1_6-2
ERROR: The tag python-olpcgames-1_6-2 is already applied on a different branch
ERROR: You can not forcibly move tags between branches
python-olpcgames-1_6-1:devel:sdz:1261233260
python-olpcgames-1_6-2:devel:sdz:1261652809
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!

Do we still need a rel-eng ticket to unblock it from devel? And how do we proceed with the strange tag names (which apparently lack the Fedora release number at the moment)?

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=1889740
Comment 11 Sebastian Dziallas 2009-12-24 06:40:03 EST
Ouch! Bad mistake here, better not leave %{dist} out. Sorry for the confusion.
Comment 12 Sebastian Dziallas 2009-12-24 07:08:46 EST
Okay, so the package still fails to build for all branches since it's blocked. I filed a rel-eng ticket here: https://fedorahosted.org/rel-eng/ticket/3223
Comment 13 Fedora Update System 2009-12-26 16:59:03 EST
python-olpcgames-1.6-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-olpcgames-1.6-3.fc12
Comment 14 Fedora Update System 2009-12-26 16:59:08 EST
python-olpcgames-1.6-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-olpcgames-1.6-3.fc11
Comment 15 Fedora Update System 2009-12-27 15:24:25 EST
python-olpcgames-1.6-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-12-27 15:29:44 EST
python-olpcgames-1.6-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.